## scid-vs-pc 4.22

=== engines/phalanx/Makefile ===
### Phalanx Makefile
# editted by S.A to handle defaults passed by Scid Makefile

LINK ?= $(CC)

### DEFINES
### -DSHOW_FORCED_MOVES
### -DPBOOK_FILE=\"pbook.phalanx\"
### -DSBOOK_FILE=\"sbook.phalanx\"
### -DLEARN_FILE=\"learn.phalanx\"
### -DPBOOK_DIR=\"/usr/local/lib\"
### -DSBOOK_DIR=\"/usr/local/lib\"
### -DLEARN_DIR=\"/var/local/lib\"
### -DQCAPSONLY

DEFINES = #-DGNUFUN 

OBJ = .o/phalanx.o .o/bcreate.o .o/search.o .o/io.o .o/data.o \
      .o/evaluate.o .o/genmoves.o .o/moving.o .o/hash.o .o/static.o \
      .o/levels.o .o/book.o .o/killers.o .o/endgame.o .o/learn.o .o/easy.o

phalanx: .o $(OBJ)
	$(LINK) $(CFLAGS) $(DEFINES) $(LDFLAGS) $(OBJ) -o phalanx

.o/%.o: Makefile %.c
	$(CC) $(CFLAGS) $(DEFINES) -c $*.c -o .o/$*.o

.o:
	mkdir .o

clean:
	rm -rf .o phalanx *.lrn learn.phalanx

backup:
	tar -czvf Archive/phalanx.tgz \
	Makefile *.c *.h pbook.phalanx sbook.phalanx test.fin

=== src/tkdnd/Makefile ===
.PHONY : clean
.PRECIOUS:

EXTRA_CFLAGS  	= -pipe -Wno-format-security #-fno-stack-protector

.SUFFIXES: .c
.PRECIOUS:

INCLUDE	= $(TCL_INCLUDE) $(TK_INCLUDE) $(X_INCLUDE) -I../tk$(TCL_VERSION)
CFLAGS	+= $(OPTIMIZE) $(C_DEBUG) $(PROFILING) -Wall

SRC	= unix/TkDND_XDND.c
OBJS	= $(SRC:.c=.o)

all: unix/TkDND_XDND.o

clean:
	@rm -f TkDND_XDND.o

depend:
#	makedepend -fMakefile -Y -- -I../tk$(TCL_VERSION) -- -w1 $(SRC) 2>/dev/null
#	@if [ -h Makefile.bak ]; then \
#		cp Makefile Makefile.bak; \
#		mv Makefile.bak Makefile; \
#	fi

.c.o:
#	@echo "Compiling `awk 'BEGIN { printf "%-30s", "$<" }'`  [$(CFLAGS:  = )]"
	$(CC) -c $(CFLAGS) $(EXTRA_CFLAGS) $(INCLUDE) $<

=== src/zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2002 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

CFLAGS=-O -Wall
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=$(CC)
CPP=$(CC) -E

VER=1.1.4
LIBS=libz.a
SHAREDLIB=libz.so

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README FAQ INDEX ChangeLog configure Make*[a-z0-9] *.[ch] *.mms \
  algorithm.txt zlib.3 msdos/Make*[a-z0-9] msdos/zlib.def msdos/zlib.rc \
  nt/Make*[a-z0-9] nt/zlib.dnt amiga/Make*.??? os2/M*.os2 os2/zlib.def \
  contrib/RE*.contrib contrib/*.txt contrib/asm386/*.asm contrib/asm386/*.c \
  contrib/asm386/*.bat contrib/asm386/zlibvc.d?? contrib/asm[56]86/*.?86 \
  contrib/asm[56]86/*.S contrib/iostream/*.cpp \
  contrib/iostream/*.h  contrib/iostream2/*.h contrib/iostream2/*.cpp \
  contrib/untgz/Makefile contrib/untgz/*.c contrib/untgz/*.w32 \
  contrib/minizip/[CM]*[pe] contrib/minizip/*.[ch] contrib/minizip/*.[td]?? \
  contrib/delphi*/*.???

all: example minigzip

test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIB).$(VER); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIB).1; \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB); \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB).1; \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	v=$(VER); \
	if test -f zlib.h; then \
	  v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`; \
          rm -f zlib.h zconf.h; \
	fi; \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIB).$$v; then \
	  rm -f $(SHAREDLIB).$$v $(SHAREDLIB) $(SHAREDLIB).1; \
	fi

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz so_locations \
	   _match.s maketree

distclean:	clean

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== engines/toga/src/Makefile ===
### Toga Makefile
# editted by S.A to handle defaults passed by Scid Makefile

EXE = fruit

OBJS = attack.o board.o book.o eval.o fen.o hash.o list.o main.o material.o \
       move.o move_check.o move_do.o move_evasion.o move_gen.o move_legal.o \
       option.o pawn.o piece.o posix.o protocol.o pst.o pv.o random.o recog.o \
       search.o search_full.o see.o sort.o square.o trans.o util.o value.o \
       vector.o

# rules

all: $(EXE) .depend

clean:
	rm -rf *.o .depend gmon.out $(EXE)

# optimisation

CXXFLAGS += -fstrict-aliasing
CXXFLAGS += -fomit-frame-pointer

# dependencies

$(EXE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(OBJS)

.depend:
	$(CXX) $(CXXFLAGS) $(OBJS:.o=.cpp) > $@

## scid-vs-pc 4.16

=== debian/changelog ===
scid-vs-pc (4.16-1mx150+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 17 May 2016 18:27:44 -0700

=== debian/control ===
Source: scid-vs-pc
Section: games
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 9), tk8.6-dev
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/scidvspc/

Package: scid-vs-pc
Architecture: any
Multi-Arch: foreign
Conflicts: scid
Replaces: scid
Depends: ${misc:Depends}, ${shlibs:Depends}, tcl-snack,
 texlive-games, tdom, libtk-img, tcllib
Recommends: texlive-games
Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty
Description: fork of SCID, a huge analysis, database, and chess-playing toolkit
 "Shane's Chess Information Database" is a huge chess toolkit with extensive
 database, analysis and chess-playing features.
 .
 Scid vs. PC is a usability and bug-fix fork of Scid. It has extensive interface
 fixes and improvements, and is fully compatible with Scid's .si4 databases.
 Its new features include a rewitten Gamelist, a Computer Tournament, and FICS,
 Tree and Book improvements.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./configure BINDIR=/usr/bin/ SHAREDIR=/usr/share/scid

## scid-vs-pc 4.19

=== debian/changelog ===
scid-vs-pc (4.19-0mx17) mx; urgency=medium

  * New upstream release
  * Packaged for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 22 Oct 2018 15:39:11 -0400

## scid-vs-pc 4.21

=== debian/changelog ===
scid-vs-pc (4.21-0.1mx17+1) mx; urgency=medium

  * New upstream release.
  * Bump up to debhelper compat 10.
  * Add tcl to BDs to prevent FTBFS.
  * Enable hardening flags in debian/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Aug 2020 11:06:18 -0700

=== debian/control ===
Source: scid-vs-pc
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 10),
               tk8.6-dev,
               tcl
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/scidvspc/

Package: scid-vs-pc
Architecture: any
Multi-Arch: foreign
Conflicts: scid
Replaces: scid
Depends: libtk-img,
         tcl-snack,
         tcllib,
         tdom,
         texlive-games,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: texlive-games
Suggests: crafty, glaurung, phalanx (>=22+d051004-9), stockfish, toga2
Description: fork of SCID, a huge analysis, database, and chess-playing toolkit
 "Shane's Chess Information Database" is a huge chess toolkit with extensive
 database, analysis and chess-playing features.
 .
 Scid vs. PC is a usability and bug-fix fork of Scid. It has extensive interface
 fixes and improvements, and is fully compatible with Scid's .si4 databases.
 Its new features include a rewitten Gamelist, a Computer Tournament, and FICS,
 Tree and Book improvements.

## scid-vs-pc 4.22

=== debian/changelog ===
scid-vs-pc (4.22-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    -  Show Stockfish Win/Draw/Loss (as White/Draw/Black) infos in
       information window.
    -  Add an 'Extra Tags' field to the header search (eg 'Annotator').
    -  Revamp colours and size of the Comment Editor.
    -  New 'Highlight' colour option (affects crosstable, reports, pgn
       moves and name-editor).
    -  Animate the Rook in Castling. (author Uwe - Nice).
    -  Engine analysis: option to wrap long lines.
    -  Engine annotation: option to disable adding an end-of-game variation.
    -  Playing an opening against an UCI engine - openings can be imported
       from the ECO Window.
    -  Improve the tree training feature by automatically enabling Trial mode.
    -  Minor tweaks to the spacing in long comments in the PGN and
       Gameinfo windows.
    -  Export Games: add option to disable inserting newlines every 80
       chars or so.
    -  Serious game: When using book, leave a comment when book is exited
       / exhausted.
    -  Add an undo point at the start of every annotation game.
    -  Add a Switcher menu item to show/hide the gamelist buttonbar.
    -  Update Player Data (spelling) file.
    -  Help and translation updates.
    -  Book tuning tweaks.
    -  Graph window tweaks.
    -  ECO window tweaks.
   - Bug Fixes
    -  The Gamelist 'next moves' feature didn't work for transpositions at
       differing depths.
    -  Remember arrow lengths/widths.
    -  Batch stripping comments/vars could sometimes break the namebase.
    -  Fix / enable hiding of 'Colored Squares and Arrows' on the main board.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Oct 2021 13:25:10 -0700

scid-vs-pc (4.21-0.1mx19+1) mx; urgency=medium

  * New upstream release.
  * Bump up to debhelper compat 10.
  * Add tcl to BDs to prevent FTBFS.
  * Enable hardening flags in debian/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Aug 2020 11:06:18 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Build-Depends: debhelper (>= 10),
-               tk8.6-dev,
-               tcl
+Build-Depends: debhelper (>= 10), tcl, tk8.6-dev
 Standards-Version: 3.9.6
 Homepage: https://sourceforge.net/projects/scidvspc/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./configure BINDIR=/usr/bin/ SHAREDIR=/usr/share/scid

override_dh_strip:
	dh_strip --no-automatic-dbgsym
